Search found 6 matches

by ___MoonDance
Wed Jan 19, 2011 13:39
Forum: Help
Topic: OIS exception on createInputObject(OIS::OISKeyboard, true)
Replies: 1
Views: 504

OIS exception on createInputObject(OIS::OISKeyboard, true)

hello,everyone,I got an error on createInputObject(OIS::OISKeyboard, true). OGRE 1.60,CEGUI 0.75 m_pKeyboard = static_cast<OIS::Keyboard*>(m_pInputeMgr->createInputObject(OIS::OISKeyboard, true)); I don't know why. :? Thanks for your help! PS:I don't have the OIS src. void GuiContrl::_initOIS(unsign...
by ___MoonDance
Sat Jan 15, 2011 02:35
Forum: Help
Topic: Can CEGUI 0.75 be used in OGRE 1.60?
Replies: 8
Views: 2368

Re: Can CEGUI 0.75 be used in OGRE 1.60?

Should I pass a RenderWindow parameter? Yeah, if you're not using an automatically created Ogre:RenderWindow, you need to pass a reference to some kind of Ogre::RenderTarget - such as a Ogre::RenderWIndow you created yourself. CE. :D ,Thanks a lot. The problem has been solved. Now I can use CEGUI 0...
by ___MoonDance
Fri Jan 14, 2011 15:05
Forum: Help
Topic: Can CEGUI 0.75 be used in OGRE 1.60?
Replies: 8
Views: 2368

Re: Can CEGUI 0.75 be used in OGRE 1.60?

We even say that we are not psychic in the forum guidelines , yet people just assume we are. The reasons for this are unknown to me because I know many developers and not one of them is psychic... :lol: OgreRenderer::OgreRenderer() : d_pimpl(new OgreRenderer_impl()) { checkOgreInitialised(); // get...
by ___MoonDance
Thu Jan 13, 2011 14:54
Forum: Help
Topic: Can CEGUI 0.75 be used in OGRE 1.60?
Replies: 8
Views: 2368

Re: Can CEGUI 0.75 be used in OGRE 1.60?

Kulik wrote:perhaps posting the error would help..

or you could wait till a psychic gets here, which could take a while...

:D you are so humorous.The code is on my office PC,I will post the error later.thanks for your help! :)
by ___MoonDance
Thu Jan 13, 2011 13:59
Forum: Help
Topic: Can CEGUI 0.75 be used in OGRE 1.60?
Replies: 8
Views: 2368

Re: Can CEGUI 0.75 be used in OGRE 1.60?

If you are using the precompiled SDK then definitely no. If you are compiling yourself, you are likely to run into compiler errors. I think it can be used with Ogre 1.6 but it might require slight changes. thanks for your help! :) There are no compiler errors.but I get runtime error when step into ...
by ___MoonDance
Thu Jan 13, 2011 04:15
Forum: Help
Topic: Can CEGUI 0.75 be used in OGRE 1.60?
Replies: 8
Views: 2368

Can CEGUI 0.75 be used in OGRE 1.60?

When the program run,CEGUI::OgreRenderer::bootstrapSystem() get an error.Can CEGUI 0.75 be used in OGRE 1.60? :?

Go to advanced search